Show / Hide Table of Contents

# Class OpenIddictServerEvents.HandleTokenRequestContext

Represents an event called for each validated token request to allow the user code to decide how the request should be handled.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.BaseValidatingTicketContext
OpenIddictServerEvents.HandleTokenRequestContext

##### Inherited Members

OpenIddictServerEvents.BaseValidatingTicketContext.Principal
OpenIddictServerEvents.BaseValidatingTicketContext.ClientId
OpenIddictServerEvents.BaseValidatingContext.IsRejected
OpenIddictServerEvents.BaseValidatingContext.Error
OpenIddictServerEvents.BaseValidatingContext.ErrorDescription
OpenIddictServerEvents.BaseValidatingContext.ErrorUri
OpenIddictServerEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class HandleTokenRequestContext : OpenIddictServerEvents.BaseValidatingTicketContext

### Constructors

#### HandleTokenRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.HandleTokenRequestContext class.

##### Declaration

    public HandleTokenRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

### Methods

#### SignIn(ClaimsPrincipal)

Allows OpenIddict to return a sign-in response using the specified principal.

##### Declaration

    public void SignIn(ClaimsPrincipal principal)

##### Parameters

Type | Name | Description
--- | --- | ---
ClaimsPrincipal | principal | The claims principal.